ApiFuseApiFuse
API Reference

법령 검색

키워드로 법령, 판례, 행정규칙 등을 검색합니다.

법령 검색

국가법령정보센터에서 법령명, 판례, 행정규칙 등을 키워드로 검색합니다.

엔드포인트

GET /v1/law-search

Upstream

  • Base URL: https://www.law.go.kr
  • Path: /DRF/lawSearch.do

요청 파라미터

파라미터타입필수기본값설명
querystring-검색어
max_results_per_typeinteger10-
targetsarray<enum("law" \"prec" \"expc" \"admrul" \
search_bodyenum("0" \"1")-
sortenum("efYd" \"lasc")-

요청 예시

{
  "query": "민법",
  "max_results_per_type": 10
}

응답 스키마

아래 스키마는 adapter의 Zod output schema에서 직접 생성됩니다.

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "results": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "date": {
            "type": "string"
          },
          "link": {
            "type": "string"
          }
        },
        "required": [
          "type",
          "id",
          "name"
        ],
        "additionalProperties": false
      }
    },
    "total": {
      "type": "number"
    },
    "query": {
      "type": "string"
    }
  },
  "required": [
    "results",
    "total",
    "query"
  ],
  "additionalProperties": false
}

응답 예시

{
  "data": {
    "results": [
      {
        "type": "law",
        "id": "001234",
        "name": "민법",
        "date": "20260101",
        "link": "https://www.law.go.kr/LSW/lsInfoP.do?lsiSeq=001234"
      }
    ],
    "total": 1,
    "query": "민법"
  },
  "pagination": null,
  "meta": {
    "source": "law-search",
    "fetchedAt": "2026-03-24T00:00:00.000Z"
  }
}

On this page